TAU_GLOBAL_PHASE(3)

NAME
TAU_GLOBAL_PHASE - Declares a global phase

SYNOPSIS

C/C++:

TAU_GLOBAL_PHASE(Phase phase, char* or string& function_name, char* or string& type, TauGroup_t group);

DESCRIPTION

Declares a global phase to be used in multiple compilation units.

EXAMPLE

C/C++ :

/* f1.c */
TAU_GLOBAL_PHASE(globalPhase, "global phase", "", TAU_USER);
/* f2.c */
int bar(void) {
  TAU_GLOBAL_PHASE_START(globalPhase);
  /* ... */
  TAU_GLOBAL_PHASE_STOP(globalPhase);
}

SEE ALSO

TAU_GLOBAL_PHASE_EXTERNAL(3), TAU_GLOBAL_PHASE_START(3), TAU_GLOBAL_PHASE_STOP(3)